export default {
    install(Vue, options) {
        Vue.prototype.host = "https://wx.weibaoge.cn/web/index.php?_mall_id=1285"

        Vue.prototype.request = function(param, success, failed) {
            //网络请求
            uni.request({
                url: this.host + "&r=" + param.data.r,
                method: param.method || "GET",
                header: param.header || {
                    'content-type': "application/json"
                },
                data: param.data,
                success: res => {
                    if (res.data.code != 0 && res.data.msg != "商品未上架") {
                        wx.showModal({
                            content: '网络开小差了，刷新页面重新加载吧',
                            showCancel: false
                        })
                        console.group("发生了异常情况");
                        console.error(res.data.msg);
                        console.groupEnd();
                    } else {
                        typeof success == "function" && success(res.data);
                    }
                },
                fail: (e) => {
                    console.log("网络请求fail:" + JSON.stringify(e));
                    uni.showModal({
                        content: "" + res.errMsg
                    });
                    typeof failed == "function" && failed(res.data);
                }
            });
        }
        Vue.prototype.apiheader = function() {
            return {
                'X-Access-Token': '_4Y_WpUZ4a6SI5uJgsZ4Lb7t9mvqJTyr',
                'X-App-Platform': 'wxapp',
                'X-App-Version': '4.2.47',
                'X-Form-Id-List': '[]',
                'X-Requested-With': 'XMLHttpRequest',
                'X-User-Id': '19992',
                'content-type': "application/json"
            }
        }

        // Vue.prototype.post = function(obj, success, failed) {
        //     this.sendRequest(obj.url, 'POST', obj.data, success, failed)
        // }

        // Vue.prototype.get = function(obj, success, failed) {
        //     this.sendRequest(obj.url, 'GET', obj.data, success, failed)
        // }
    }
}